EC_INTERACT_PRINT_COLS(3)

NAME
ec_interact_print_cols - Print completion matches as columns.

SYNOPSIS
#include <ecoli/interact.h>

int ec_interact_print_cols(
    FILE                *out,      /* The pointer to the output stream. */
    unsigned int         width,    /* The number of columns on terminal. */
    char const *const   *matches,  /* The string array of matches to display. */
    size_t               n         /* The size of the array. */
);

RETURN VALUE

0 on success, or -1 on error.

SEE ALSO

ec_interact_get_completions(3), ec_interact_print_helps(3), ec_interact_print_error_helps(3), ec_interact_set_help(3), ec_interact_append_chars(3), ec_interact_set_desc(3), ec_interact_get_callback(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_get_helps(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.